image: fedora:latest

stages:
  - test
  - doc
  - build

variables:
  CARGO_HOME: $CI_PROJECT_DIR/cargo

before_script:
    - dnf update -y --nogpgcheck
    - dnf install -y --nogpgcheck libappstream-glib-devel rust cargo 
test:
  stage: test
  script:
    - rustc --version
    - cargo --version
    - cargo test --verbose

pages:
  stage: doc
  script:
    - cargo doc --no-deps
    - mv target/doc public
    - echo '<meta http-equiv="refresh" content="0; url=appstream_glib">' > public/index.html
  artifacts:
    paths:
      - public
  only:
    - master

cache:
  paths:
    - cargo/
    - target/